Bug 39267 - Update port: x11-toolkits/itk ${PERL} -> ${REINPLACE_CMD}
Update port: x11-toolkits/itk ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:30 UTC by obraun
Modified: 2002-06-27 14:34 UTC (History)
0 users

See Also:


Attachments
file.diff (606 bytes, patch)
2002-06-14 10:30 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:30:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 23:42:43 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/itk/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	2001/08/17 14:42:48	1.9
+++ Makefile	2002/06/19 22:42:12
@@ -22,7 +22,7 @@
 INSTALLS_SHLIB=	yes
 MAKE_ENV+=	${PLIST_SUB} \
 		SHLIB_MAJOR=${SHLIB_MAJOR} SHLIB_MINOR=${SHLIB_MINOR}
-
+USE_REINPLACE=	yes
 EXTRACT_AFTER_ARGS=| ${TAR} -xf - ./itcl${MAJOR}.${MINOR}/itk
 MAKEFILE=	${FILESDIR}/Makefile.lib
 SHLIB_MAJOR=	1
@@ -44,11 +44,11 @@
 	${RM} ${WRKSRC}/pkgIndex.tcl
 
 post-patch:
-	${PERL} -pi \
+	${REINPLACE_CMD} \
 		-e 's,package require Itk,load \
 			[glob ${WRKSRC}/${ITK_LIB_FILE}*],;' \
 		-e 's,return$$,exit,' ${WRKSRC}/tests/*
-	${PERL} -pi \
+	${REINPLACE_CMD} \
 		-e 's,\@itk_LIB_FILE\@,${ITK_LIB_FILE},' \
 		${WRKSRC}/pkgIndex.tcl.in
Comment 2 perky freebsd_committer 2002-06-27 14:34:18 UTC
State Changed
From-To: open->closed

Committed, Thanks!